import request from '@/utils/request'

// 查询客户信息列表
export function listFastGptUser(query) {
  return request({
    url: '/fastGpt/fastGptUser/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息详细
export function getFastGptUser(uid) {
  return request({
    url: '/fastGpt/fastGptUser/' + uid,
    method: 'get'
  })
}

// 新增客户信息
export function addFastGptUser(data) {
  return request({
    url: '/fastGpt/fastGptUser',
    method: 'post',
    data: data
  })
}

// 修改客户信息
export function updateFastGptUser(data) {
  return request({
    url: '/fastGpt/fastGptUser',
    method: 'put',
    data: data
  })
}

// 删除客户信息
export function delFastGptUser(uid) {
  return request({
    url: '/fastGpt/fastGptUser/' + uid,
    method: 'delete'
  })
}

// 导出客户信息
export function exportFastGptUser(query) {
  return request({
    url: '/fastGpt/fastGptUser/export',
    method: 'get',
    params: query
  })
}
